<?php
/**
 * This file is part of Theme for 
 * pragmaMx - Web Content Management System.
 *
 * $template : tp_virtus $
 * $Revision: 12 $
 * 
 * Theme for pragmaMx Content Management System Platform<br>- HTML5 ready <br>
 * 
 * $Author: pyr0 $
 * $Date: 2018-10-01 19:06:26 +0200 (Mo, 01. Okt 2018) $
 */

defined('mxMainFileLoaded') or die('access denied');

/**
 * theme_functions
 *
 * @package
 * @author ????
 * @copyright Copyright (c) 2014
 * @version $Id: admin.functions.php 12 2018-10-01 17:06:26Z pyr0 $
 * @access public
 */
class theme_functions {
    private static $config;
    private static $__set = array(); // Konfigurtion

    /**
     * class::__construct()
     *
     * @param mixed $parameter
     */
    function __construct ($parameter = null)
    {
        $this->themename = $parameter;
        self::$config = load_class("Config", $this->themename);
    }

    /**
     * class::GetDefaultConfig()
     *
     * @return
     */
    static function GetDefaultConfig()
    {
        $temp = array(
            'colorschema' => 0,
			'rightblocks' => true,
			'sitename'=>$GLOBALS['sitename'],
			'slogan'=>$GLOBALS['slogan'],
			'head_css_menu'=>'{CSS-MENU}',
			'top_css_menu'=>'',
			'foot_css_menu'=>'',
			'facebooklink' => '',
            'rsslink' => 'backend.php',
            'twitterlink' => '',
			'perex'=>'0',
			'banner'=> array('head'=>0,'foot'=>0),
			'breadcrump'=>0,
			'top_text' => '',
			'foot_text' =>'',
			'content_foot_text' =>'',
			'blocks_left'=>'Admin',
			'blocks_right'=>'',
			'blocks_both'=>'Forum,Gallery,Board,mxBoard,eBoard',
			
            );
        return $temp;
    }

    /**
     * class::config_save()
     * Konfiguration auslesen ....
     *
     * @param array $temp
     * @return
     */
    public function config_save ($temp = array())
    {
        $themename = $this->themename;
        self::$config->setSection($themename, $temp);
        return;
    }

    /**
     * class::config_load()
     *
     * @return
     */
    public function config_load ()
    {
        // self::$config = load_class("Config",$this->themename);
        $themename = $this->themename;
		
		$temp = $this->GetDefaultConfig();
        $temp = array_merge($temp,(self::$config->getSection($themename)));

        // if (count($temp) == 0) { // Array leer
            // defaultwerte eintragen
            // $temp = $this->GetDefaultConfig();
            // self::$config->setSection($themename, $temp);
        // }

        return $temp;
    }
    /**
     * class::__get()
     *
     * @param mixed $value_name
     * @return
     */
    public function __get($value_name)
    {
        if (isset(self::$__set[$value_name])) {
            return self::$__set[$value_name];
        }
        return false;
    }

    /**
     * class::__set()
     *
     * @param mixed $name
     * @param mixed $val
     * @return
     */
    public function __set($name, $val)
    {
        self::$__set[$name] = $val ;
    }
}

?>